打开/关闭菜单
打开/关闭外观设置菜单
打开/关闭个人菜单
未登录
未登录用户的IP地址会在进行任意编辑后公开展示。

RIA Wiki 已更新到 1.41!部分 CSS 在新版本下可能有不同的表现,请编辑者注意检查和修改。 目前wiki关闭了自行注册账号的功能,如需注册账号,请查阅Help:注册账号

模块:Navbox/styles.css:修订间差异

来自RIA | Wiki
Aunst留言 | 贡献
尝试分离CSS
Aunst留言 | 贡献
沙盒转正
第3行: 第3行:
  *
  *
  * @source https://en.wikipedia.org/wiki/Module:Navbox/styles.css
  * @source https://en.wikipedia.org/wiki/Module:Navbox/styles.css
  * @revision 2021-12-21
  * @revision 2026-03-24
*/
*/
.navbox {
.navbox-s {
  box-sizing: border-box;
   border: 1px solid rgb(162, 169, 177);
  clear: both;
   padding: 0.25em;
  width: 100%;
  margin: 1em auto 0;
  /* Prevent preceding content from clinging to navboxes */
   border: 1px solid #a2a9b1;
   padding: 3px;
  text-align: center;
  font-size: 0.875em;
}
}


.navbox .navbox {
.navbox-s, .navbox-s-subgroup {
   margin-top: 0;
   display: flex;
   /* No top margin for nested navboxes */
  flex-direction: column;
  gap: 2px;
}
.navbox-s .navbox-s-title, .navbox-s-subgroup .navbox-s-title {
   text-align: left;
}
}


.navbox + .navbox,
.navbox-s + .component-templatestyles + .navbox-s {
.navbox + .component-template_styles + .navbox {
   margin-top: -1px;
   margin-top: -1px;
  /* Single pixel border between adjacent navboxes */
}
}


.navbox-inner,
.navbox-s-title {
.navbox-subgroup {
   padding: 0.25em calc(0.5em + 0.5vw);
   width: 100%;
}
}
 
.navbox-s-title-text {
.navbox-inner {
  font-weight: 700;
   background-color: transparent;
}
   color: inherit;
.navbox-s-body {
   display: flex;
  flex-direction: column;
  flex: 1 0 auto;
   gap: 2px;
}
}
 
.navbox-s-abovebelow {
.navbox-group,
.navbox-title,
.navbox-abovebelow {
  padding: 0.25em 1em;
  line-height: 1.5em;
   text-align: center;
   text-align: center;
  padding: 0.25em calc(0.5em + 0.5vw);
}
}
 
.navbox-s-ci {
.navbox-title > div[id] {
   display: flex;
   margin: 0 4em;
   gap: 2px;
   font-size: 1.14em;
}
}
 
.navbox-s-image {
.navbox-group {
   flex: 0 0 auto;
  width: 1%;
   display: none;
  white-space: nowrap;
  text-align: right;
}
 
.navbox,
.navbox-subgroup {
  background-color: #fdfdfd;
}
 
.navbox-list {
   width: 100%;
  padding: 0;
   line-height: 1.5em;
  border-color: #fdfdfd;
  /* Must match background color */
}
 
.navbox-list-with-group {
  text-align: left;
  border-left-width: 2px;
  border-left-style: solid;
}
 
.navbox-list > div {
   padding: 0 0.25em;
   padding: 0 0.25em;
}
}
 
.navbox-s-lists {
.navbox-image {
   flex: 1 1 auto;
   width: 1%;
  display: grid;
   padding: 0 2px;
  grid-template-columns: 1fr;
   gap: 2px;
}
}
 
.navbox-s-group {
/* cell spacing for navbox cells */
  padding: 0.25em calc(0.5em + 0.5vw);
/* Borders above 2nd, 3rd, etc. rows */
   font-weight: 700;
/* TODO: figure out how to replace tr as structure;
* with div structure it should be just a matter of first-child */
tr + tr > .navbox-abovebelow,
tr + tr > .navbox-group,
tr + tr > .navbox-image,
tr + tr > .navbox-list {
   border-top: 2px solid #fdfdfd;
  /* Must match background color */
}
}
 
.navbox-s-list {
.navbox-title {
   padding: 0.25em calc(1em + 0.5vw);
   background-color: #ccccff;
   text-align: center;
   /* Level 1 color */
}
}
 
.navbox-s-list-with-group {
.navbox-abovebelow,
   text-align: left;
.navbox-group,
.navbox-subgroup .navbox-title {
  background-color: #ddddff;
  /* Level 2 color */
}
 
.navbox-subgroup .navbox-group,
.navbox-subgroup .navbox-abovebelow {
  background-color: #e6e6ff;
  /* Level 3 color */
}
 
.navbox-even {
  background-color: #f7f7f7;
}
 
.navbox-odd {
   background-color: transparent;
}
}
 
.navbox-s-list-has-subgroup.navbox-s-list {
/* TODO: figure out how to remove reliance on td as structure */
   padding: initial;
.navbox .hlist td dl,
.navbox .hlist td ol,
.navbox .hlist td ul,
.navbox td.hlist dl,
.navbox td.hlist ol,
.navbox td.hlist ul {
   padding: 0.125em 0;
}
}


.navbox .navbar {
@media (min-width: 480px) {
   display: block;
  .navbox-s .navbar {
  font-size: 100%;
    float: left;
    text-align: left;
   }
  .navbox-s-title-text {
    margin: 0 5em;
    text-align: center;
  }
}
}
 
@media (min-width: 720px) {
.navbox-title .navbar {
  .navbox-s-image {
   float: left;
    display: flex;
   text-align: left;
    align-items: center;
   margin-right: 0.5em;
    justify-content: center;
  }
  .navbox-s-lists {
    grid-template-columns: auto 1fr;
   }
  .navbox-s-group {
    padding: 0.25em calc(0.5em + 0.5vw);
   }
  .navbox-s-list {
    padding: 0.25em;
   }
  .navbox-s-list:not(.navbox-s-list-with-group) {
    grid-column: 1/3;
  }
}
}
 
@media screen {
/* Minerva Neue skin styles
  .navbox-s {
* Minerva Neue 皮肤样式 */
    border-color: rgb(162, 169, 177);
 
    background-color: rgb(248, 249, 250);
/* 强制显示导航框
  }
* https://github.com/wikimedia/mediawiki-skins-MinervaNeue/blob/REL1_39/resources/skins.minerva.base.styles/content/hacks.less
  .navbox-s-title {
* 的临时修复
    background-color: rgb(200, 200, 251);
* WMF,你坏事做尽 */
  }
body.skin-minerva .navbox {
  .navbox-s-abovebelow, .navbox-s-group, .navbox-s-subgroup .navbox-s-title {
   display: block;
    background-color: rgb(216, 216, 255);
}
  }
 
  .navbox-s-subgroup .navbox-s-abovebelow, .navbox-s-subgroup .navbox-s-group {
body.skin-minerva .navbox > table,
    background-color: rgb(234, 235, 255);
body.skin-minerva .navbox-subgroup {
  }
   margin: 0;
  .navbox-s-even {
    background-color: rgba(148, 148, 252, 0.05);
  }
  html.skin-theme-clientpref-night .navbox-s {
    border-color: rgba(255, 255, 255, 0.05);
    background-color: rgb(32, 33, 34);
   }
  html.skin-theme-clientpref-night .navbox-s-title {
    background-color: rgb(43, 40, 79);
  }
  html.skin-theme-clientpref-night .navbox-s-abovebelow, html.skin-theme-clientpref-night .navbox-s-group, html.skin-theme-clientpref-night .navbox-s-subgroup .navbox-s-title {
    background-color: rgb(31, 27, 65);
  }
  html.skin-theme-clientpref-night .navbox-s-subgroup .navbox-s-abovebelow, html.skin-theme-clientpref-night .navbox-s-subgroup .navbox-s-group {
    background-color: rgb(20, 15, 52);
  }
   html.skin-theme-clientpref-night.citizen-feature-pure-black-clientpref-1 .navbox-s {
    background-color: black;
  }
}
}
 
@media screen and (prefers-color-scheme: dark) {
/* 在小屏设备中隐藏导航框图像 */
  html.skin-theme-clientpref-os .navbox-s {
@media screen and (max-width: 767px) {
    border-color: rgba(255, 255, 255, 0.05);
   .navbox-image {
    background-color: rgb(32, 33, 34);
     display: none;
  }
  html.skin-theme-clientpref-os .navbox-s-title {
    background-color: rgb(43, 40, 79);
  }
  html.skin-theme-clientpref-os .navbox-s-abovebelow, html.skin-theme-clientpref-os .navbox-s-group, html.skin-theme-clientpref-os .navbox-s-subgroup .navbox-s-title {
    background-color: rgb(31, 27, 65);
  }
  html.skin-theme-clientpref-os .navbox-s-subgroup .navbox-s-abovebelow, html.skin-theme-clientpref-os .navbox-s-subgroup .navbox-s-group {
    background-color: rgb(20, 15, 52);
  }
   html.skin-theme-clientpref-os.citizen-feature-pure-black-clientpref-1 .navbox-s {
     background-color: black;
   }
   }
}
}

2026年3月24日 (二) 19:41的版本

/* Navbox styles
 * 导航盒样式
 *
 * @source https://en.wikipedia.org/wiki/Module:Navbox/styles.css
 * @revision 2026-03-24
*/
.navbox-s {
  border: 1px solid rgb(162, 169, 177);
  padding: 0.25em;
}

.navbox-s, .navbox-s-subgroup {
  display: flex;
  flex-direction: column;
  gap: 2px;
}
.navbox-s .navbox-s-title, .navbox-s-subgroup .navbox-s-title {
  text-align: left;
}

.navbox-s + .component-templatestyles + .navbox-s {
  margin-top: -1px;
}

.navbox-s-title {
  padding: 0.25em calc(0.5em + 0.5vw);
}
.navbox-s-title-text {
  font-weight: 700;
}
.navbox-s-body {
  display: flex;
  flex-direction: column;
  flex: 1 0 auto;
  gap: 2px;
}
.navbox-s-abovebelow {
  text-align: center;
  padding: 0.25em calc(0.5em + 0.5vw);
}
.navbox-s-ci {
  display: flex;
  gap: 2px;
}
.navbox-s-image {
  flex: 0 0 auto;
  display: none;
  padding: 0 0.25em;
}
.navbox-s-lists {
  flex: 1 1 auto;
  display: grid;
  grid-template-columns: 1fr;
  gap: 2px;
}
.navbox-s-group {
  padding: 0.25em calc(0.5em + 0.5vw);
  font-weight: 700;
}
.navbox-s-list {
  padding: 0.25em calc(1em + 0.5vw);
  text-align: center;
}
.navbox-s-list-with-group {
  text-align: left;
}
.navbox-s-list-has-subgroup.navbox-s-list {
  padding: initial;
}

@media (min-width: 480px) {
  .navbox-s .navbar {
    float: left;
    text-align: left;
  }
  .navbox-s-title-text {
    margin: 0 5em;
    text-align: center;
  }
}
@media (min-width: 720px) {
  .navbox-s-image {
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .navbox-s-lists {
    grid-template-columns: auto 1fr;
  }
  .navbox-s-group {
    padding: 0.25em calc(0.5em + 0.5vw);
  }
  .navbox-s-list {
    padding: 0.25em;
  }
  .navbox-s-list:not(.navbox-s-list-with-group) {
    grid-column: 1/3;
  }
}
@media screen {
  .navbox-s {
    border-color: rgb(162, 169, 177);
    background-color: rgb(248, 249, 250);
  }
  .navbox-s-title {
    background-color: rgb(200, 200, 251);
  }
  .navbox-s-abovebelow, .navbox-s-group, .navbox-s-subgroup .navbox-s-title {
    background-color: rgb(216, 216, 255);
  }
  .navbox-s-subgroup .navbox-s-abovebelow, .navbox-s-subgroup .navbox-s-group {
    background-color: rgb(234, 235, 255);
  }
  .navbox-s-even {
    background-color: rgba(148, 148, 252, 0.05);
  }
  html.skin-theme-clientpref-night .navbox-s {
    border-color: rgba(255, 255, 255, 0.05);
    background-color: rgb(32, 33, 34);
  }
  html.skin-theme-clientpref-night .navbox-s-title {
    background-color: rgb(43, 40, 79);
  }
  html.skin-theme-clientpref-night .navbox-s-abovebelow, html.skin-theme-clientpref-night .navbox-s-group, html.skin-theme-clientpref-night .navbox-s-subgroup .navbox-s-title {
    background-color: rgb(31, 27, 65);
  }
  html.skin-theme-clientpref-night .navbox-s-subgroup .navbox-s-abovebelow, html.skin-theme-clientpref-night .navbox-s-subgroup .navbox-s-group {
    background-color: rgb(20, 15, 52);
  }
  html.skin-theme-clientpref-night.citizen-feature-pure-black-clientpref-1 .navbox-s {
    background-color: black;
  }
}
@media screen and (prefers-color-scheme: dark) {
  html.skin-theme-clientpref-os .navbox-s {
    border-color: rgba(255, 255, 255, 0.05);
    background-color: rgb(32, 33, 34);
  }
  html.skin-theme-clientpref-os .navbox-s-title {
    background-color: rgb(43, 40, 79);
  }
  html.skin-theme-clientpref-os .navbox-s-abovebelow, html.skin-theme-clientpref-os .navbox-s-group, html.skin-theme-clientpref-os .navbox-s-subgroup .navbox-s-title {
    background-color: rgb(31, 27, 65);
  }
  html.skin-theme-clientpref-os .navbox-s-subgroup .navbox-s-abovebelow, html.skin-theme-clientpref-os .navbox-s-subgroup .navbox-s-group {
    background-color: rgb(20, 15, 52);
  }
  html.skin-theme-clientpref-os.citizen-feature-pure-black-clientpref-1 .navbox-s {
    background-color: black;
  }
}